
"""Z position when tool is touching surface in mm"""
z_touching = 0.0

"""Z position where tool should travel in mm"""
z_travel = 0.0

"""Distance between pen and Y=0.0 in mm"""
y_offset = 0.0

"""Distance between pen and X=0.0 in mm"""
x_offset = 0.0

"""Print bed width in mm"""
bed_max_x = 300

"""Print bed height in mm"""
bed_max_y = 300

"""X/Y speed in mm/minute"""
xy_speed = 700

"""Wait time between phases in milliseconds"""
wait_time = 1000

"""G-code emitted at the start of processing the SVG file"""
preamble = "G90 ;Absolute programming\nG21 ;Programming in millimeters (mm)\nM5  ;Disable laser"

"""G-code emitted at the end of processing the SVG file"""
postamble = "G1 X0.0 Y0.0; Display printbed\nM02 ;End of program"

"""G-code emitted before processing a SVG shape"""
shape_preamble = "; ------\n; Draw shapes"

"""G-code emitted after processing a SVG shape"""
shape_postamble = "; ------\n; Shape completed"

""" 
Used to control the smoothness/sharpness of the curves.
Smaller the value greater the sharpness. Make sure the
value is greater than 0.1
"""
smoothness = 0.5


